Contenu | Rechercher | Menus

Annonce

Toute l'équipe d'ubuntu-fr vous souhaite un joyeux Noël et une bonne et heureuse année 2018.

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 18/12/2017, à 19:37

MrFogHunter83

problème nextcloud encryption [RESOLU]

Voilà, j'ai un problème avec mon nextcloud, j'ai dû réinstaller mon serveur, donc j'ai pris soin d'injecter la database mysql
et les fichiers php.
Mais voilà, pour une raison inconnue quand j'inscris un utilisateur via le plugin de registration j'ai une erreur :

 missing public key for user

.
Les utilisateurs existant non pas ce soucis.
J'ai essayé en créant utilisateur par interface admin le problème reste identique.
Voici les logs :

Encryption Library, symmetrical encryption failed no content given

Après quelques tests en créant une nouvelle instance nextcloud propre avec database neuve il s'avère que j'ai toujours les mêmes erreurs
les voici :

Error	encryption	Encryption Library, symmetrical encryption failed no content given	2017-12-18T21:14:07+0100
Error	PHP	Undefined variable: data at /var/www/html/nextcloud/lib/private/Files/Storage/Wrapper/Wrapper.php#251	2017-12-18T21:14:07+0100
Error	PHP	Missing argument 2 for OC\Files\Storage\Wrapper\Wrapper::file_put_contents(), called in /var/www/html/nextcloud/lib/private/Files/View.php on line 1156 and defined at /var/www/html/nextcloud/lib/private/Files/Storage/Wrapper/Wrapper.php#250	2017-12-18T21:14:07+0100
Error	encryption	Encryption Library:error:0200100D:system library:fopen:Permission denied	2017-12-18T21:14:07+0100
Error	encryption	Encryption library couldn't export users private key, please check your servers OpenSSL configuration.lol	2017-12-18T21:14:07+0100
Error	encryption	Encryption library openssl_pkey_new() fails: error:2006D002:BIO routines:BIO_new_file:system lib	2017-12-18T21:14:07+0100
Error	encryption	Encryption Library couldn't generate users key-pair for lol	2017-12-18T21:14:07+0100
Error	encryption	Encryption Library, symmetrical encryption failed no content given

je crois qu'il me manque des modules, soit un module apache2, soit un module php mais je ne sais pas lesquels il manque si vous pouvez m'aider ça serait super
J'ai l'impression qu'il manque un module qui crée ces fameuses clés publiques/privées, c'est pour cela que je n'ai pas ce problème avec les utilisateurs existants car ils ont déjà leurs clés publiques/privées générées, du moins c'est une hypothèse. 

Merci d'avance pour votre aide.

JAI REUSSI
enfaîte les dossier ssl qui contenait la config openssl avez les droits en 771 pas safe déjà et surtout en même temps trop restrictif  impossible de lire donc openssl j'ai mi les droits en 655 et la magique plus d'erreur ouIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII

alors la réponse et oui j'ai faillie vrillé mentalement on va pas se le caché mais pour les prochains j'espère qu'il ne subiront pas la même torture que moi

Dernière modification par MrFogHunter83 (Le 19/12/2017, à 14:32)

Hors ligne

#2 Le 19/12/2017, à 08:56

bruno

Re : problème nextcloud encryption [RESOLU]

Bonjour,

Est-ce que openssl est bien installé ?

Hors ligne

#3 Le 19/12/2017, à 09:07

MrFogHunter83

Re : problème nextcloud encryption [RESOLU]

alors oui il est bien installer

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
openssl is already the newest version (1.0.2g-1ubuntu4.10).
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  dbconfig-common dbconfig-mysql javascript-common libjs-jquery libjs-sphinxdoc libjs-underscore php-gettext php-mbstring php-phpseclib php-tcpdf php7.0-mbstring
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
root@server-mrfog:/home/mrfoghunter#

Hors ligne

#4 Le 19/12/2017, à 09:43

bruno

Re : problème nextcloud encryption [RESOLU]

Il faudrait regarder dans les logs d'Apache pour avoir plus d'informations. Cette erreur :

Error	encryption	Encryption Library:error:0200100D:system library:fopen:Permission denied	

indique un problème de droits d'accès. Soit la fonction fopen a été désactivée ou limitée, soit les droits sur un des dossiers sont insuffisant (data ?), soit il y a un problème de configuration d'openssl.

Hors ligne

#5 Le 19/12/2017, à 09:57

MrFogHunter83

Re : problème nextcloud encryption [RESOLU]

a et j’avais des conflit mpm-event, mpm-worker, mpm-prefork, j'ai activer que le mpm-prefork, les permissions devrais aller au niveau des permission data devrai pas y avoir de problème
je suis en 771 et en chown www-data:www-data
pareille pour le dossier www
comment activer fopen
log apache2

 error

[Tue Dec 19 09:21:44.754847 2017] [mpm_event:notice] [pid 11772:tid 140311847569280] AH00489: Apache/2.4.18 (Ubuntu) configured -- resuming normal operations
[Tue Dec 19 09:21:44.754908 2017] [core:notice] [pid 11772:tid 140311847569280] AH00094: Command line: '/usr/sbin/apache2'
[Tue Dec 19 09:31:14.641983 2017] [mpm_event:notice] [pid 11772:tid 140311847569280] AH00491: caught SIGTERM, shutting down
[Tue Dec 19 09:54:11.812868 2017] [http2:info] [pid 10244:tid 140703611651968] mod_http2 (v1.0.11, nghttp2 1.7.1), initializing...
[Tue Dec 19 09:54:11.817052 2017] [mpm_event:notice] [pid 10244:tid 140703611651968] AH00489: Apache/2.4.18 (Ubuntu) OpenSSL/1.0.2g configured -- resuming normal operations
[Tue Dec 19 09:54:11.817069 2017] [core:notice] [pid 10244:tid 140703611651968] AH00094: Command line: '/usr/sbin/apache2'
[Tue Dec 19 09:55:21.797539 2017] [mpm_event:notice] [pid 10244:tid 140703611651968] AH00491: caught SIGTERM, shutting down
[Tue Dec 19 09:55:22.913165 2017] [http2:info] [pid 11978] mod_http2 (v1.0.11, nghttp2 1.7.1), initializing...
MIB search path: $HOME/.snmp/mibs:/usr/share/snmp/mibs:/usr/share/snmp/mibs/iana:/usr/share/snmp/mibs/ietf:/usr/share/mibs/site:/usr/share/snmp/mibs:/usr/share/mibs/iana:/usr/share/mibs/ietf:/usr/share/mibs/netsnmp
Cannot find module (SNMPv2-MIB): At line 0 in (none)
Cannot find module (IF-MIB): At line 0 in (none)
Cannot find module (IP-MIB): At line 0 in (none)
Cannot find module (TCP-MIB): At line 0 in (none)
Cannot find module (UDP-MIB): At line 0 in (none)

tous les mods enabled de apache

root@server-mrfog:/home/mrfoghunter# nano /etc/apache2/mods-enabled/
access_compat.load  authn_core.load     authz_user.load     deflate.load        filter.load         mime.load           negotiation.load    proxy_fcgi.load     setenvif.conf       ssl.load
alias.conf          authn_file.load     autoindex.conf      dir.conf            headers.load        mpm_prefork.conf    php7.0.conf         proxy_http.load     setenvif.load       status.conf
alias.load          authz_core.load     autoindex.load      dir.load            http2.load          mpm_prefork.load    php7.0.load         proxy.load          socache_shmcb.load  status.load
auth_basic.load     authz_host.load     deflate.conf        env.load            mime.conf           negotiation.conf    proxy.conf          rewrite.load        ssl.conf
root@server-mrfog:/home/mrfoghunter# nano /etc/apache2/mods-enabled/

et les mods available de php

apcu.ini          curl.ini          fileinfo.ini      iconv.ini         ldap.ini          mongodb.ini       opcache.ini       pdo_odbc.ini      posix.ini         simplexml.ini     sysvmsg.ini       wddx.ini          xsl.ini
bcmath.ini        dba.ini           ftp.ini           imap.ini          mbstring.ini      msgpack.ini       pdo_dblib.ini     pdo_pgsql.ini     pspell.ini        snmp.ini          sysvsem.ini       xml.ini           zip.ini
bz2.ini           dom.ini           gd.ini            interbase.ini     mcrypt.ini        mysqli.ini        pdo_firebird.ini  pdo_sqlite.ini    readline.ini      soap.ini          sysvshm.ini       xmlreader.ini
calendar.ini      enchant.ini       gettext.ini       intl.ini          memcached.ini     mysqlnd.ini       pdo.ini           pgsql.ini         recode.ini        sockets.ini       tidy.ini          xmlrpc.ini
ctype.ini         exif.ini          gmp.ini           json.ini          memcache.ini      odbc.ini          pdo_mysql.ini     phar.ini          shmop.ini         sqlite3.ini       tokenizer.ini     xmlwriter.ini

et encore quelque extrait de log nextcloud

	encryption	Encryption Library, symmetrical encryption failed no content given	2017-12-19T10:11:42+0100
Error	PHP	Undefined variable: data at /var/www/nextcloud/apps/ransomware_protection/lib/StorageWrapper.php#251	2017-12-19T10:11:42+0100
Error	PHP	Missing argument 2 for OCA\RansomwareProtection\StorageWrapper::file_put_contents(), called in /var/www/nextcloud/lib/private/Files/View.php on line 1156 and defined at /var/www/nextcloud/apps/ransomware_protection/lib/StorageWrapper.php#249	2017-12-19T10:11:42+0100
Error	encryption	Encryption Library:error:0200100D:system library:fopen:Permission denied	2017-12-19T10:11:42+0100
Error	encryption	Encryption library couldn't export users private key, please check your servers OpenSSL configuration."no user given"	2017-12-19T10:11:42+0100
Error	encryption	Encryption library openssl_pkey_new() fails: error:2006D002:BIO routines:BIO_new_file:system lib	2017-12-19T10:11:42+0100
Error	encryption	Encryption Library couldn't generate users key-pair for "no user given"	2017-12-19T10:11:42+0100
Error	PHP	openssl_sign(): supplied key param cannot be coerced into a private key at /var/www/nextcloud/lib/private/Security/IdentityProof/Signer.php#65	2017-12-19T10:11:26+0100
Error	PHP	Undefined variable: data at /var/www/nextcloud/lib/private/Files/Storage/Wrapper/Wrapper.php#251

Dernière modification par MrFogHunter83 (Le 19/12/2017, à 12:24)

Hors ligne

#6 Le 19/12/2017, à 14:32

MrFogHunter83

Re : problème nextcloud encryption [RESOLU]

JAI REUSSI
enfaîte les dossier ssl qui contenait la config openssl avez les droits en 771 pas safe déjà et surtout en même temps trop restrictif  impossible de lire donc openssl j'ai mi les droits en 655 et la magique plus d'erreur ouIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII

alors la réponse et oui j'ai faillie vrillé mentalement on va pas se le caché mais pour les prochains j'espère qu'il ne subiront pas la même torture que moi

Hors ligne